<?php

class EliminarparcialCommand extends CConsoleCommand {

    const PARCIAL = "parcial";
    

    public function run($args) {
        $this->deleteBorradores();
    }
    
    /**
     * Borra las ordenes con estado parcial 
     * 
     * @author Duvan Agudelo <John.agudelo@ingeneo.com.co>
     * @copyright 2015 INGENEO S.A.S.
     * @license http://www.opensource.org/licenses/bsd-license.php  BSD License
     * @version Release: $Id$
     */
    public function deleteBorradores(){
		
        try {
            $valorResultado = Yii::app()->db->createCommand("select valor from b2b_parameter where clave = 'p1' limit 1")->queryScalar();
            if (!is_null($valorResultado)) {

                \Yii::app()->db->createCommand('DELETE FROM b2b_order where ord_status like "' . self::PARCIAL . '" and ord_created < date_add(CURDATE(), INTERVAL -' . $valorResultado . ' DAY)')->execute();
                echo "exito";
            } else {
                echo "No hay valores";
            }
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

}
