<?php if(count($listProduct) > 0): ?>
    <table id="table-search" class="items table">
        <thead>
            <tr id="tr_head">
                <th>Categoría</th>
                <th>Referencia</th>
                <th>Descripción item</th>
                <th>Cantidades</th>
                <th>Precio unt</th>
                <th>Subtotal unt</th>
                <th>Iva</th>                                
                <th>Precio unt con iva</th>                                
                <th>Subtotal con iva</th>                                           
            </tr>
        </thead>
        <?php
        $subTotal = 0;
        $subTotalIva = 0;
        $totalIva = 0;
        ?> 
        <?php foreach($listProduct as $value) { ?>
            <?php $id = $value['prd_reference']; ?>            
            <?php
            $quantity = $value['prd_amount'];
            $unitPrice = $value['prd_unit_price'];
            $unitPriceIva = $value['prd_unit_price_iva'];
            $valUnt = $quantity * $unitPrice;
            $valUntIva = $quantity * $unitPriceIva;
            $subTotal = $subTotal + $valUnt;
            $subTotalIva = $subTotalIva + $valUntIva;
            $totalIva = $subTotalIva - $subTotal;
            ?>            
            <tr id="<?php echo $id ?>_tr">
                <td><?php
                    echo $value['prd_nameCategory'];
                    ?>
                </td>                
                <td id="<?php echo $id ?>_ref" class="reference">
                    <?php echo $value['prd_reference'] ?>
                </td>
                <td id="<?php echo $id ?>_des" class="description">
                    <?php
                    echo CHtml::hiddenField(
                        $id . '_description', $value['prd_description'],
                        array(
                        'id' => $id . '_description'));
                    echo $value['prd_description']
                    ?>
                </td>
                <td><?php
                    echo $value['prd_amount'];
                    echo CHtml::hiddenField("orp_amount[$id]"
                        , $value['prd_amount']);
                    echo CHtml::hiddenField($id . '_inv',
                        $value['prd_und_exist'],
                        array(
                        'id' => $id . '_inv'));
                    echo CHtml::hiddenField($id . '_cat',
                        $value['prd_category_id'],
                        array(
                        'id' => $id . '_cat'));
                    echo CHtml::hiddenField($id . '_amount_request', '',
                        array(
                        'id' => $id . '_amount_request'));
                    ?>
                </td>
                <td><?php
                    echo CHtml::hiddenField($id . '_unt_price',
                        $value['prd_unit_price'],
                        array(
                        'id' => $id . '_unt_price'));
                    echo number_format($value['prd_unit_price']);
                    ?>
                </td>
                <td>
                    <div id="<?php echo $id ?>-sub" class="sub">
                        <?php echo number_format($valUnt) ?>
                    </div>
                </td>
                <td><?php
                    echo CHtml::hiddenField($id . '_iva', $value['prd_iva'],
                        array(
                        'id' => $id . '_iva'));
                    echo $value['prd_iva'];
                    ?>%
                </td>
                <td><?php
                    echo CHtml::hiddenField($id . '_unt_price_iva',
                        $value['prd_unit_price_iva'],
                        array(
                        'id' => $id . '_unt_price_iva'));
                    echo number_format($value['prd_unit_price_iva'])
                    ?>
                </td>
                <td>
                    <div id="<?php echo $id ?>-sub-iva" class="sub_iva">
                        <?php echo number_format($valUntIva) ?>
                    </div>
                </td>                
            </tr>         
    <?php } ?>
    </table>
    <div id="summary" class="well" style="width: 20%;">
        <table class="table" >
            <tr>
                <td><strong>Total Neto:</strong></td>
                <td><div><?php echo number_format($subTotal) ?></div></td>
            </tr>                         
            <tr>
                <td><strong>Total Descuento:</strong></td>
                <td>0</td>
            </tr>                         
            <tr>
                <td><strong>Total Iva:</strong></td>
                <td><div><?php echo number_format($totalIva) ?></div></td>
            </tr>                         
            <tr>
                <td><strong>Total:</strong></td>
                <td><div><?php echo number_format($subTotalIva) ?></div></td>
            </tr>                         
        </table>
    </div>
    <div id="buttom">            
        <?php
        echo TbHtml::button('Nuevo',
            array(
            'id' => 'button-new',
            'class' => 'buttonValidate',
            'color' => TbHtml::BUTTON_COLOR_DEFAULT,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT, 
            'onClick' => 'send(this.id)',
            'title' => Yii::app()->params['msgTooltipNuevo']
        ));
        ?>
        <?php
        echo TbHtml::button('Salir',
            array(
            'id' => 'button-exit',
            'color' => TbHtml::BUTTON_COLOR_DANGER,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'exitOrder()',
            'title' => Yii::app()->params['msgTooltipSalir']
        ));
        ?>
        <?php
        echo TbHtml::button('Guardar',
            array(
            'id' => 'button-save',
            'class' => 'buttonValidate',
            'color' => TbHtml::BUTTON_COLOR_PRIMARY,
            'size' => TbHtml::BUTTON_SIZE_DEFAULT,
            'onClick' => 'send(this.id)',
            'title' => Yii::app()->params['msgTooltipGuardar']
        ));
        ?>   
        <?php
        if(User::validateAllowOrder()) {
            echo TbHtml::button('Autorizar',
                array(
                'id' => 'button-allow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_SUCCESS,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,
                'onClick' => 'send(this.id)',
                'title' => Yii::app()->params['msgTooltipAutorizar']
            ));
        } else {
            echo TbHtml::button('Solicitar Autorización',
                array(
                'id' => 'button-getAllow',
                'class' => 'buttonValidate',
                'color' => TbHtml::BUTTON_COLOR_WARNING,
                'size' => TbHtml::BUTTON_SIZE_DEFAULT,
                'onClick' => 'send(this.id)',
                'title' => Yii::app()->params['msgTooltipSolicitar']
            ));
        }
        ?>         
    </div>
<?php else: ?>
    <div class="alert alert-block alert-error">
        <p class="help-block">No se encontraron productos relacionados</p>
    </div>      
<?php endif; ?>