<style>
    .th_hide, .td_hide, .th_search{
        display: none
    }
</style>

<?php
/**
 * Se requieren los siguientes campos para el correcto funcionamiento del
 * formulario
 * 
 * prd_reference
 * prd_description
 * prd_unit_price
 * prd_unit_price_iva
 * 
 * Estos deben verin en forma de array(array())
 */
//$baseUrl = Yii::app()->theme->baseUrl;
//$cs = Yii::app()->getClientScript();
//$cs->registerScriptFile($baseUrl . '/js/number.js');
Yii::app()->clientScript->scriptMap['*.js'] = false;
?>
<?php if(count($listProduct) > 0): ?>
    
    <table id="table-search" class="items table">
        <thead>
            <tr id="tr_head">
                <th class="th_search">Categoría</th>
                <th class="th_search">Referencia</th>
                <th class="th_search">Descripción item</th>
                <th class="th_hide">Cantidades</th>                
                <th class="th_hide">Variación Cantidad</th>                                
                <th class="th_hide">Consumo Promedio</th>
                <th class="th_search">Acción</th>                                
            </tr>
        </thead>
        <?php
        foreach($listProduct as $value) {
            ?>
            <?php $id = $value['prd_reference']; ?>            
            <tr id="<?php echo $id ?>_tr" style="display:none">
                <td><?php 
                    echo $value['prd_nameCategory'];
                    ?>
                </td>                
                <td id="<?php echo $id ?>_ref" class="reference">
                    <?php echo $value['prd_reference'] ?>
                </td>
                <td id="<?php echo $id ?>_des" class="description">
                    <?php
                    echo CHtml::hiddenField(
                        $id . '_description', $value['prd_description'],
                        array(
                        'id' => $id . '_description'));
                    echo $value['prd_description']
                    ?>
                </td>
                <td class="td_hide"><?php
                    echo TbHtml::telField("orp_amount[$id]", 0,
                        array(
                        'size' => 6,
                        'maxlength' => 6,
                        'class' => 'amount',
                        "onkeyup" => "js:calculate(this.id, " . $id . ")"));
                    echo CHtml::hiddenField($id . '_inv',
                        $value['prd_und_exist'],
                        array(
                        'id' => $id . '_inv'));
                    echo CHtml::hiddenField($id . '_cat',
                        $value['prd_category_id'],
                        array(
                        'id' => $id . '_cat'));
                    echo CHtml::hiddenField($id . '_amount_request', '',
                        array(
                        'id' => $id . '_amount_request'));
                    echo CHtml::hiddenField($id . '_unt_price',
                        $value['prd_unit_price'],
                        array(
                        'id' => $id . '_unt_price'));
                    echo CHtml::hiddenField($id . '_iva', $value['prd_iva'],
                        array(
                        'id' => $id . '_iva'));
                    echo CHtml::hiddenField($id . '_unt_price_iva',
                        $value['prd_unit_price_iva'],
                        array(
                        'id' => $id . '_unt_price_iva'));
                    ?>
                    <div id="<?php echo $id ?>-sub" class="sub" style="display:none">0</div>
                    <div id="<?php echo $id ?>-sub-iva" class="sub_iva" style="display:none">0</div>
                </td>                
                <td class="td_hide">
                    <div id="<?php echo $id ?>-variacion" class="variacion"><?php echo number_format($value['variacion']) ?></div>
                </td>
                <td class="td_hide">
                    <div id="<?php echo $id ?>-consumo" class="consumo"><?php echo number_format($value['Consumo']) ?></div>
                </td>
                <td id="<?php echo $id ?>_accion" class="accion">
                    <?php echo TbHtml::link(TbHtml::icon(TbHtml::ICON_PLUS)
                        , 'javascript:void(0)',
                        array(
                        'id' => $id.'-accion-plus',
                        'onClick' => 'addItem('.$id.');'                        
                    )); ?>
                    <?php echo TbHtml::link(TbHtml::icon(TbHtml::ICON_TRASH)
                        , 'javascript:void(0)',
                        array(
                        'id' => $id.'-accion-trash',
                        'onClick' => 'removeItem('.$id.');',
                        'style' => 'display:none',
                    )); ?>
                </td>
            </tr>         
    <?php } ?>
    </table>
<?php else: ?>
    <div class="alert alert-block alert-error">
        <p class="help-block">No se encontraron productos relacionados</p>
    </div>        
<?php endif; ?>