<?php
/* @var $this UserController */
/* @var $model User */
/* @var $form CActiveForm */
?>

<div class="form">
  
    

<?php $form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'id'=>'user-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
    'htmlOptions'=>array('class'=>'well'),
)); ?>

	<p class="help-block">Los campos con <span class="required">*</span> son requeridos.</p>

	<?php echo $form->errorSummary($model); ?>
             
     <?php $this->widget('bootstrap.widgets.TbAlert'); ?>
    
    <?php echo $form->textFieldControlGroup($model,'usr_username'); ?>
	<div class="row">
		<?php //echo $form->labelEx($model,'usr_username'); ?>
		<?php //echo $form->textField($model,'usr_username',array('size'=>60,'maxlength'=>120)); ?>
		<?php //echo $form->error($model,'usr_username'); ?>
	</div>

    <?php echo $form->textFieldControlGroup($model,'usr_email'); ?>
    <div>
		<?php //echo $form->labelEx($model,'usr_email'); ?>
		<?php //echo $form->textField($model,'usr_email',array('size'=>60,'maxlength'=>240)); ?>
		<?php //echo $form->error($model,'usr_email'); ?>
	</div>

    <?php echo $form->passwordFieldControlGroup($model,'usr_password'); ?>
	<div class="row">
		<?php //echo $form->labelEx($model,'usr_password'); ?>
		<?php //echo $form->passwordField($model,'usr_password',array('size'=>60,'maxlength'=>200)); ?>
		<?php //echo $form->error($model,'usr_password'); ?>
	</div>           
    
    <div class="row">
		<?php echo $form->labelEx($model,'usr_allowNotify'); ?>
        <?php $array = $model->arrayAllowEmail(); ?>            
        <?php echo $form->dropdownlist($model,'usr_allowNotify',$array); ?>		        
        <?php echo $form->error($model,'usr_allowNotify'); ?>
	</div> 
    <br/>
    
	<div class="row">
		<?php echo $form->labelEx($model,'usr_status'); ?>
		<?php //echo $form->textField($model,'usr_status',array('size'=>1,'maxlength'=>1)); ?>
        <?php $arrayStatus = $model->arrayStatus(); ?>
            
        <?php if($model->isNewRecord): ?>        
		<?php $selected = array(User::STATUS_NEW=>$model->getStatus(User::STATUS_NEW));?>
        <?php echo $form->dropdownlist($model,'usr_status',$selected); ?>
        <?php else: ?>
        <?php echo $form->dropdownlist($model,'usr_status',$arrayStatus, array('empty'=>'Seleccione')); ?>		
        <?php endif; ?>
        <?php echo $form->error($model,'usr_status'); ?>
	</div>                                
    
    <div class="row">
		<?php echo $form->error($model,'usr_password'); ?>
	</div>        
    
	<div class="form-actions">
		<?php 
        echo TbHtml::submitButton($model->isNewRecord ? 'Crear' : 'Guardar', array('color' => TbHtml::BUTTON_COLOR_PRIMARY));
        //echo CHtml::submitButton($model->isNewRecord ? 'Crear' : 'Guardar');        
        ?>
	</div>

<?php $this->endWidget(); ?>

    
	           
        <?php if(!$model->isNewRecord): ?>  
    <div class="well">	
        <br/>
        <legend>Empresas/Sedes Asignadas</legend>
        <?php
        $this->renderPartial('_updateClient', array(
            'client' => $client,
            'model' => $model,
            'clientSiesa' => $clientSiesa,
        ));
        ?>
    </div> 
        <?php endif; ?>
        <?php echo $form->error($client,'cln_nit'); ?>
	   
    
</div><!-- form -->

