<?php
/* @var $this BudgetController */
/* @var $model Budget */
/* @var $form CActiveForm */
?>

<div class="wide form">

<?php $form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'action'=>Yii::app()->createUrl($this->route),
	'method'=>'get',
    'htmlOptions'=>array('class'=>'well'),
)); ?>

        <div class="row">
            <?php echo $form->label($model,'bud_budget'); ?>
            <?php echo $form->textField($model,'bud_budget'); ?>
	</div>
    
        <div class="row">
            <?php echo $form->label($model,'bud_block'); ?>
            <?php echo $form->dropDownList($model,'bud_block',
                    array('NO'=>'NO', 'SI'=>'SI'), 
                    array('prompt'=>'Seleccione')); ?>
	</div>
    
	<div class="row">
            <?php echo $form->label($model,'codClient'); ?>
            <?php echo CHtml::dropDownList('codClient', '',
                    $listClient, array('style' => 'width: 400px', 'prompt'=>'Seleccione')); ?>
	</div>
    
        <div class="row">
            <?php echo $form->label($model,'id_cln_id'); ?>  
            <div id="dropBranch">
            <?php                    
                $this->widget('yiiwheels.widgets.select2.WhSelect2',
                    array(
                    'asDropDownList' => true,
                    'language' => 'es',
                    'model' => $model,
                    'attribute' => 'id_cln_id',                        
                    'data' => $listBranch,
                    'htmlOptions' => array(                        
                        'id' => 'id_cln_id',
                        'selected' => '',
                        'prompt'=>'Seleccione'
                    ),
                    'pluginOptions' => array(                        
                        'minimumInputLength' => 3,                                       
                    ),
                ));
                ?>
            </div>		
	</div>		

	<div class="form-actions">
            <?php echo TbHtml::submitButton('Buscar',  array('color' => TbHtml::BUTTON_COLOR_PRIMARY,));?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
<script type="text/javascript">
    /**
     * Cambios de cliente
     */
    $('#codClient').change(
            function(event) {
                changeBranch();
            });

    /**
     * Metodo para consultar las sucursales 
     * disponibles segun el nit
     * @returns {undefined}
     */
    function changeBranch() {
        distractor.show();
        nit = $("#codClient").val();
        $("#nit").html(nit);
        $.ajax({url: '<?php echo CController::createUrl('budget/getListBranchBudgetSearch') ?>',
            type: "post",
            data: {nit: nit},
            success: function(data) {
                $("#dropBranch").html(data);
                $('#button-search').removeAttr('disabled');
                distractor.hide();
            }});
    }

</script>