<?php
/* @var $this BudgetController */
/* @var $model Budget */

$this->breadcrumbs=array(
	'Presupuesto'=>array('index'),
	'Admin',
);

$this->menu=array(
	array('label'=>'Listar Presupuesto', 'url'=>array('index')),
	array('label'=>'Crear Presupuesto', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#budget-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h3>Administrar Presupuesto</h3>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->
<?php $this->widget('bootstrap.widgets.TbAlert'); ?>
<?php echo CHtml::link('Busqueda Avanzada','#',array('class'=>'search-button btn')); ?>
<br>
<br>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(        
	'model'=>$model,
        'listBranch' => $listBranch,
        'listClient' => $listClient,
        'defaultBranch' => $defaultBranch,
        'defaultClient' => $defaultClient,
)); ?>
</div><!-- search-form -->
<br>
<?php $this->widget('bootstrap.widgets.TbGridView', array(
        'type' => 'striped condensed',
	'id'=>'budget-grid',
	'dataProvider'=>$model->search(),
	'columns'=>array(
		'bud_id',
                array(
                    'name' => 'cliente',
                    'value' => '$data->idCln->cln_name',
                ),
                array(
                    'name' => 'id_cln_id',
                    'value' => '$data->idCln->cln_nameBranch',
                ),			
                array(
                    'name' => 'bud_budget',
                    'value' => 'number_format($data->bud_budget)',
                ),
                'bud_block',
		array(
            'class' => 'bootstrap.widgets.TbButtonColumn',
            'header' => 'Acciones',
            'template' => '{view}{update}{delete}',
            
        ),
	),
)); ?>
