<?php
/* @var $this OrderController */
/* @var $model Order */
/* @var $form TbActiveForm */
?>

<div class="form">

    <?php $form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'id'=>'order-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

    <p class="help-block">Fields with <span class="required">*</span> are required.</p>

    <?php echo $form->errorSummary($model); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_number',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_status',array('span'=>5,'maxlength'=>9)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_date',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_income_type',array('span'=>5,'maxlength'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_total_net',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_total_discount',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_total_iva',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_total',array('span'=>5)); ?>

            <?php echo $form->textFieldControlGroup($model,'ord_nit',array('span'=>5)); ?>

        <div class="form-actions">
        <?php echo TbHtml::submitButton($model->isNewRecord ? 'Create' : 'Save',array(
		    'color'=>TbHtml::BUTTON_COLOR_PRIMARY,
		    'size'=>TbHtml::BUTTON_SIZE_LARGE,
		)); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- form -->