<div class="well">
<legend>Información del pedido</legend>
    <?php
    $this->widget('zii.widgets.CDetailView',
        array(
        'htmlOptions' => array(
            'class' => 'table table-striped table-condensed table-hover',
        ),
        'data' => $infoOrder,
        'attributes' => array(
            'no_pedido',
            'nit',
            'nombre_cliente',
            //'codigo_sucursal',
			array(
				'label'=>'Código sucursal',
				'name'=>'codigo_sucursal',
			),
            'nombre_sucursal',
            'fecha_pedido',
            'estado',
            'fecha_entrega',            
			array(
				'name'=>'total_neto',
				'value'=>number_format($infoOrder['total_neto'])
			),
			array(
				'name'=>'total_descuento',
				'value'=>number_format($infoOrder['total_descuento'])
			),
			array(
				'name'=>'total_iva',
				'value'=>number_format($infoOrder['total_iva'])
			),
			array(
				'name'=>'total_pagar',
				'value'=>number_format($infoOrder['total_pagar'])
			)
        ),
    ));
    ?>

<?php if(count($detailItems)>0): ?>
    <legend>Items</legend>
    <table class="items table" >
        <thead>
            <tr>
                <th>Referencia</th>
                <th>Descripción item</th>
                <th>Cantidades</th>
                <th>Precio unt</th>
                <th>Subtotal unt</th>
                <th>Iva</th>                                
                <th>Precio unt con iva</th>                                
                <th>Subtotal con iva</th>                                
            </tr>
        </thead>
        <?php foreach($detailItems as
                $item) { ?>
            <tr>
                <td><?php echo $item['referencia'] ?></td>
                <td><?php echo $item['descripcion'] ?></td>
                <td><?php echo number_format($item['cantidad']) ?></td>
                <td><?php echo number_format($item['precio_unitario']) ?></td>
                <td><?php echo number_format($item['subtotal_unitario']) ?></td>
                <td><?php echo number_format($item['iva']) ?></td>
                <td><?php echo number_format($item['precio_unitario_iva']) ?></td>
                <td><?php echo number_format($item['subtotal_iva']) ?></td>
            </tr>         
<?php } ?>
    </table> 
    <?php endif; ?>
</div>
<br/>
<br/>
