<div class="well">
<?php
$this->widget('zii.widgets.CDetailView',
    array(
    'htmlOptions' => array(
        'class' => 'table table-striped table-condensed table-hover',
    ),
    'data' => $model,
    'attributes' => array(
        'ord_id',
        'ord_number',
        'ord_nit',
        array(
            'name' => 'ord_nameClient',
            'value' => $model->getNameClient($model->ord_nit)
        ),
        'ord_codeBranch',
        array(
            'filter' => false,
            'name' => 'ord_nameBranch',
            'value' => $model->getNameBranch($model->ord_nit, $model->ord_codeBranch)
        ),
        'ord_status',
        array(            
            'name' => 'ord_objOrder',
            'value' => $model->getObjOrder($model->ord_objOrder)
        ),        
        'ord_date',
        'ord_description',
        'ord_income_type',
        //'ord_total_net',
        array(
            'name' => 'ord_total_net',
            'value' => number_format($model->ord_total_net)
        ),
        //'ord_total_discount',
        array(
            'name' => 'ord_total_discount',
            'value' => number_format($model->ord_total_discount)
        ),
        //'ord_total_iva',
        array(
            'name' => 'ord_total_iva',
            'value' => number_format($model->ord_total_iva)
        ),
        //'ord_total',
        array(
            'name' => 'ord_total',
            'value' => number_format($model->ord_total)
        ),
    ),
));
?>

<legend>Información de los productos</legend>
<table class="items table" >
    <thead>
        <tr>
            <th>Referencia</th>
            <th>Descripción item</th>
            <th>Cantidades</th>
            <th>Precio unt</th>
            <th>Subtotal unt</th>
            <th>Iva</th>                                
            <th>Precio unt con iva</th>                                
            <th>Subtotal con iva</th>                                
        </tr>
    </thead>
    <?php foreach($listProduct as
            $value) {
        ?>
    <?php $id = $value->orp_id; ?>
        <tr id="<?php echo $id ?>_tr">
            <td><?php echo $value->orp_reference ?></td>
            <td><?php echo $value->orp_description ?></td>
            <td><?php echo $value->orp_amount ?></td>
            <td><?php echo number_format($value->orp_price_no_iva) ?></td>
            <td><div id="<?php echo $id ?>-sub" class="sub">
    <?php echo number_format($value->orp_total_no_iva) ?>
                </div></td>
            <td><?php echo $value->orp_iva ?>%</td>
            <td><?php echo number_format($value->orp_price_iva) ?></td>
            <td><div id="<?php echo $id ?>-sub-iva" class="sub_iva">
    <?php echo number_format($value->orp_total_iva) ?>
                </div></td>
        </tr>         
<?php } ?>
</table> 
</div>
<br/>
<br/>
